package handler

import (
	"eslogad-be/internal/contract"

	"github.com/google/uuid"
)

type UserValidator interface {
	ValidateCreateUserRequest(req *contract.CreateUserRequest) (error, string)
	ValidateUpdateUserRequest(req *contract.UpdateUserRequest) (error, string)
	ValidateListUsersRequest(req *contract.ListUsersRequest) (error, string)
	ValidateChangePasswordRequest(req *contract.ChangePasswordRequest) (error, string)
	ValidateUserID(userID uuid.UUID) (error, string)
	ValidateUpdateUserOutletRequest(req *contract.UpdateUserOutletRequest) (error, string)
}
